package ch.unisi.inf.sp.cfg;

import org.objectweb.asm.tree.AbstractInsnNode;

public class InstructionPair {

	public AbstractInsnNode from, to;
	
	public InstructionPair(AbstractInsnNode from, AbstractInsnNode to) {
		this.from = from;
		this.to = to;
	}
	
	@Override
	public boolean equals(Object obj) {
		
		if (obj instanceof InstructionPair) {
			InstructionPair ip = (InstructionPair) obj;
			if (ip.to.equals(this.to) && ip.from.equals(this.from)) {
				
				return true;
			}
		}
		//System.out.println("happens");
		return false;
	}
	
	@Override
	public String toString() {
		
		return super.toString();
	}
	
	@Override
	public int hashCode() {
		return from.hashCode() + to.hashCode();
	}
	
}
