package ch.unisi.inf.sp.type;

import java.util.ArrayList;
import java.util.Collection;

import org.objectweb.asm.Opcodes;


/**
 * A method declared in a class or interface. May be abstract.
 * A method can contain several CallSites
 * (information about CallSites may or may not be available,
 * e.g. usually CallSites are added to Method objects only by the CallGraphBuilder).
 * 
 * @author Matthias.Hauswirth@usi.ch
 */
public final class Method extends Subroutine {

	public Method(String declaringClassName, String name, String descriptor,
			int modifiers) {
		super(declaringClassName, name, descriptor, modifiers);
	}

	public int numberOgLoops = 0;
	
	@Override
	public boolean isMethod() {
		
		return true;
	}

	@Override
	public Subroutine getParent() {
		return null;
	}

	
}
