package ch.usi.inf.sape.graph.dot;

import ch.usi.inf.sape.graph.FlowGraph;
import ch.usi.inf.sape.graph.Node;


public class DefaultNodeAttributeStringProvider implements NodeAttributeStringProvider {

	public String getAttributeString(FlowGraph graph, Node node) {
		if (node==graph.getEntryNode()) {
			return "[shape=rectangle,label=\""+node.toString()+"\"]";
		} else {
			return "[label=\""+node.toString()+"\"]";
		}
	}
	
}
