package ch.usi.inf.sape.graph.dot;

import ch.usi.inf.sape.graph.FlowGraph;
import ch.usi.inf.sape.graph.Node;


/**
 * A NodeAttributeStringProvider determines how dot renders a node.
 * Given a Node, it returns the "[...]" string DotWriter will write into the dot file.
 * 
 * @author Matthias.Hauswirth@usi.ch
 */
public interface NodeAttributeStringProvider {

	public String getAttributeString(FlowGraph graph, Node node);
	
}
