package ch.usi.inf.sape.graph.example;

import ch.usi.inf.sape.graph.Edge;
import ch.usi.inf.sape.graph.Node;

public class FullEdge extends Edge {
	
	public enum Type {INVOKESTATIC, INVOKESPECIAL, INVOKEINTERFACE, INVOKEVIRTUAL};
	public enum Boundary {CLASSBOUNDARY, PACKAGEBOUNDARY, NOBOUNDARY};

	public Type type;
	public Boundary boundary;
	
	public FullEdge(Node source, Node target, Type type, Boundary boundary) {
		super(source, target);
		this.type = type;
		this.boundary = boundary;
		
	}

}
