package usi.instrumentation;

public class Filter {

	private static String[] ban = new String[] {
		    "org/objectweb/asm", 
			"usi/instrumentation", 
			"ch/unisi/inf/sp/cfg",
			"sun/",
			"java/",
			"javax/",
			"apple/"
			
			}; 
			
	public static boolean eligible (String className) {
		
		for (String str: ban) {
			if (className.startsWith(str))
			return false;
		}
		return true;
	}
	
	private static String[] primitives = new String[] {
		"java.lang.Integer",
		"java.lang.Long",
		"java.lang.Double",
		"java.lang.Byte",
		"java.lang.Float",
		"java.lang.Character",
		"java.lang.Boolean"
	};
	
	public static boolean isPrimitive (String className) {
		
		for (String str: primitives) {
			if (className.contains(str))
			return true;
		}
		return false;
	}
	
}
