package usi.instrumentation.tree;

import usi.instrumentation.stack.Node;

public class LoopTree extends AbstractTree implements TreeIR {
	
	@Override
	protected boolean isEligible(Node<String> node) {
		if (isLoop(node)) return true;
		return false;
	}

        
    
    private boolean isLoop (Node<String> node) {
    	if (node.data.contains("/")) return true;
    	return false;
    }



	@Override
	protected void drawBackEdges(Node<String> node) {
		String str = "["+node.extra.minNumberOfIterations + 
		".."+node.extra.maxNumberOfIterations+"]";
		draw(node.hashCode(), node.hashCode(), str);
	}

}
