package ch.usi.inf.sape.algoprof.example.tree.linked.perfect.binary.basic.bidi;


public class Node {

	private String value;
	private Node parent;
	private Node left;
	private Node right;
	
	
	public Node(final String value) {
		this.value = value;
		parent = null;
		left = null;
		right = null;
	}
	
	public Node(final String value, final Node left, final Node right) {
		this.value = value;
		this.left = left;
		this.right = right;
	}
	
	public String getValue() {
		return value;
	}
	
	public Node getLeft() {
		return left;
	}
	
	public void setLeft(final Node left) {
		this.left = left;
	}
	
	public Node getRight() {
		return right;
	}
	
	public void setRight(final Node right) {
		this.right = right;
	}
	
	public Node getParent() {
		return parent;
	}
	
	public void setParent(final Node parent) {
		this.parent = parent;
	}
	
	public int print(int counter) {
		counter++;
		System.out.print(value);
		System.out.print("(");
		if (left!=null) {
			counter = left.print(counter);
		}
		System.out.print(",");
		if (right!=null) {
			counter = right.print(counter);
		}
		System.out.print(")");
		return counter;
	}
	
}
