package ch.usi.inf.sape.algoprof.statistics;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class Repetition {
	
	//a->b as a key and a as a value 
	public static List<Repetition> list = new ArrayList<Repetition>();
	
	public static int unID = 0;
		
	public String id;
	public Repetition prev;
	public String name;
	private List<Repetition> children;
	
	public Repetition(Repetition prev, String name) {
		this.prev = prev;
		this.name = name;
		id = "id"+unID++;
	
	}
	
	public Repetition getChild (String n) {
		if (children != null) {
			for (Repetition r: children) {
				if (r.name.equals(n)) {
					return r;
				}
			}
		}
		return null;
	}
	
	public void addChild(Repetition r) {
		if (children == null) children = new ArrayList<Repetition>();
		
		if (getChild(r.name) == null) children.add(r);
	}
	
	public void printChildren () {
		if (children!=null) {
			for (Repetition child: children) {
				System.out.print(child.name + ", ");
			}			
		} else {
			System.out.println("no children");
		}
	}
	


}
