package ch.unisi.inf.sp.collections;

public class CollectionFilter {

	public static String[] list = new String[] {
		"java/util/AbstractCollection", 
		"java/util/AbstractList", 
		"java/util/AbstractQueue", 
		"java/util/AbstractSequentialList", 
		"java/util/AbstractSet", 
		"java/util/concurrent/ArrayBlockingQueue", 
		"java/util/ArrayList", 
		"javax/management/AttributeList", 
		"java/beans/beancontext/BeanContextServicesSupport", 
		"java/beans/beancontext/BeanContextSupport", 
		"java/util/concurrent/ConcurrentLinkedQueue",
		"java/util/concurrent/CopyOnWriteArrayList", 
		"java/util/concurrent/CopyOnWriteArraySet", 
		"java/util/concurrent/DelayQueue", 
		"java/util/EnumSet", 
		"java/util/HashSet", 
		"javax/print/attribute/standard/JobStateReasons", 
		"java/util/concurrent/LinkedBlockingQueue", 
		"java/util/LinkedHashSet", 
		"java/util/LinkedList", 
		"java/util/concurrent/PriorityBlockingQueue", 
		"java/util/PriorityQueue", 
		"javax/management/relation/RoleList", 
		"javax/management/relation/RoleUnresolvedList", 
		"java/util/Stack", 
		"java/util/concurrent/SynchronousQueue", 
		"java/util/TreeSet", 
		"java/util/Vector",
		
		"java/util/Collection",
		"java/beans/beancontext/BeanContext", 
		"java/beans/beancontext/BeanContextServices", 
		"java/util/concurrent/BlockingQueue", 
		"java/util/List", 
		"java/util/Queue", 
		"java/util/Set", 
		"java/util/SortedSet",
		
	    "java/util/AbstractMap", 
	    "java/util/jar/Attributes", 
	    "java/security/AuthProvider", 
	    "java/util/concurrent/ConcurrentHashMap", 
	    "java/util/EnumMap", 
	    "java/util/HashMap", 
	    "java/util/Hashtable", 
	    "java/util/IdentityHashMap", 
	    "java/util/LinkedHashMap", 
	    "javax/print/attribute/standard/PrinterStateReasons", 
	    "java/util/Properties", 
	    "java/security/Provider", 
	    "java/awt/RenderingHints", 
	    "javax/management/openmbean/TabularDataSupport", 
	    "java/util/TreeMap", 
	    "javax/swing/UIDefaults", 
	    "java/util/WeakHashMap",
	    
	    "java/util/concurrent/ConcurrentMap", 
	    "java/util/SortedMap"};
	
	public static boolean contains (final String name) {
		for (String str: list) {
			if (name.contains(str))
				return true;
		}
		return false;
	}
	
}
