package ch.unisi.inf.sp.type;

public class Loop extends Subroutine {

	//should contain also loopConstruct of its instructions
	private LoopConstruct loopBody;
	
	private Subroutine subroutine;
	
	public Loop(String declaringClassName, String name, String descriptor,
			int modifiers, Subroutine subroutine, LoopConstruct loopBody) {
		super(declaringClassName, name, descriptor, modifiers);
		this.subroutine = subroutine;
		this.loopBody = loopBody;
	}
	
	public LoopConstruct getLoopBody() {
		return loopBody;
	}

	@Override
	public boolean isMethod() {
		return false;
	}

	@Override
	public Subroutine getParent() {
		
		return subroutine;
	}

}
