package ch.unisi.inf.sp.type;

import java.util.List;

import org.objectweb.asm.tree.AbstractInsnNode;

public class LoopConstruct {
	
	AbstractInsnNode header;
	List<AbstractInsnNode> instructions;
	LoopConstruct owner;
	
	public LoopConstruct(AbstractInsnNode header, List<AbstractInsnNode> instructions) {
		this.header = header;
		this.instructions = instructions;
	}
	
	public void setOwner(LoopConstruct owner) {
		this.owner = owner;
	}
	
	public LoopConstruct getOwner() {
		return owner;
	}
	
	public AbstractInsnNode getHeader() {
		return header;
	}
	
	public List<AbstractInsnNode> getInstructions () {
		return instructions;
	}

}
