package ch.usi.inf.sape.graph.dot;

import ch.usi.inf.sape.graph.Edge;
import ch.usi.inf.sape.graph.FlowGraph;


/**
 * Edges have no label and no special formatting.
 * 
 * @author Matthias.Hauswirth@usi.ch
 */
public class DefaultEdgeAttributeStringProvider implements EdgeAttributeStringProvider {

	public String getAttributeString(FlowGraph graph, Edge edge) {
		return "[]";
	}
	
}
