package ch.usi.inf.sape.graph.dot;

import ch.usi.inf.sape.graph.Edge;
import ch.usi.inf.sape.graph.FlowGraph;


/**
 * A EdgeAttributeStringProvider determines how dot renders an edge.
 * Given an Edge, it returns the "[...]" string DotWriter will write into the dot file.
 * 
 * @author Matthias.Hauswirth@usi.ch
 */
public interface EdgeAttributeStringProvider {

	public String getAttributeString(FlowGraph graph, Edge edge);

}
