package ch.usi.inf.sape.graph.example;

import java.io.Serializable;

import ch.usi.inf.sape.graph.Edge;
import ch.usi.inf.sape.graph.Node;

public class ExampleEdge extends Edge implements Serializable {

	String fieldDescription;
	
	
	
	public ExampleEdge(Node source, Node target, String fieldDescription) {
		super(source, target);
		this.fieldDescription = fieldDescription;
	}
	
	public void addAdditionalField (String fieldName) {
		fieldDescription = fieldDescription + "," + fieldName;
	}
	
	public String getLabel() {
		return fieldDescription;
	}

}
