package org.objectweb.asm.util;


import java.io.File;
import de.enough.polish.util.*;

public class UnJARTree {
	
	private String destinationDir;
	
	public String getDestinationDir () {
		return this.destinationDir;
	}
	
	public void setDestinationDirectory (String name) {
		this.destinationDir = name;
	}
	
	/*
	 * This method unJAR single ".jar" file and place it into a directory specified in "destinationDir"
	 */
	public void unJAR (String source) /*, String destinationDir)*/ {
		try {
			JarUtil.unjar (new File (source), new File (this.destinationDir));// + "\\" + destinationDir.substring(this.sourceDir.length())));		
		} catch (Exception ex) {
			
			ex.printStackTrace();
		}		
	}
	
	/*
	 * This method traverses a subtree and place files into a directory specified in "destinationDir"
	 */
	public void traverseSubtree (File sourceDir) {
		if (sourceDir.isDirectory()) {		
			File[] fileArray = sourceDir.listFiles();
			for (File currentFile : fileArray ) {
				traverseSubtree (currentFile);
			}
		} else {
			if (sourceDir.getName().endsWith(".jar")) {
				System.out.println(sourceDir.getPath().substring(0, sourceDir.getPath ().length() - sourceDir.getName().length() - 1));
				unJAR (sourceDir.getAbsolutePath());//sourceDir.getPath().substring(0, sourceDir.getPath ().length() - sourceDir.getName().length() - 1));				
			}
		}
	}
}
