package usi.instrumentation;


import org.objectweb.asm.tree.AbstractInsnNode;
import org.objectweb.asm.util.AbstractVisitor;


public class OpcodeReader {
	
	public static String giveName (AbstractInsnNode instruction) {
		final int opcode = instruction.getOpcode();
		final String mnemonic = opcode == -1 ? ""
				: AbstractVisitor.OPCODES[instruction.getOpcode()] + " ";
		return mnemonic;

	}

}
