package usi.instrumentation.dumper;

import usi.instrumentation.LoopProfiler;

public class Dumper implements Runnable {

	@Override
	public void run() {
		try {
			
			while (true) {
				Thread.sleep(25000);
				System.out.println("******************** START *****************************");
				System.out.println("Thread updater " + LoopProfiler.map.size());
				for (Thread t: Thread.getAllStackTraces().keySet()) {
					if (t.getName().equals("main")) {
						StackTraceElement[] ste = Thread.getAllStackTraces().get(t);
						for (StackTraceElement e: ste) {
							System.out.println(e);
						}
						System.out.println();
					}	
				}
				System.out.println("********************* END ******************************");
			}
			
		} catch (InterruptedException e) {
			System.err.println("problems with dumper thread");
			e.printStackTrace();
		}
		
	}
	
	
}
