package usi.instrumentation.stack;

import usi.instrumentation.stack.Node;

public class Snode<T> extends Node {
	
	public enum Kind {
		LOOP, RECURSIVE, NORMAL }
	
	private Kind kind;
	
	public Snode(String str, Kind kind) {
		super(str);
		this.kind = kind;
	}
	
	
	public Kind getKind() {
		return kind;
	}
	
	public void setKind(Kind kind) {
		this.kind = kind;
	}

}
